<?
include ("../common/scripts/connect.inc.php");
session_start();

if(isset($_SESSION['idChar']) && isset($_SESSION['idTerrain'])){
	$id_mimichant=$_SESSION['idChar'];
	$id_terrier=$_SESSION['idTerrain'];
	
	if(isset($_POST['id']) && isset($_POST['nom']))
	{
	  $id=$_POST['id'];
		$nom=$_POST['nom'];
		
		//traitement de retrait de la vente du mimichant
		$result= pg_query($dbconn,"select * from buy_mimichant(".$id.",".$id_mimichant.")");
		$ok=pg_fetch_row($result);
		
		//si le retrait s'est bien passé
		if($ok[0]=='t')
		{
		   echo 'Votre mimichant '.$nom.' a bien &eacute;t&eacute; retir&eacute; de la vente';
		}
		else
	  {
		echo 'Vous ne remplissez pas toutes les conditions pour pouvoir retirer de la vente le mimichant '.$nom;
	  }
	}
}

?>
